"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsLinter = void 0;
const lint_1 = require("@codemirror/lint");
const getLints_js_1 = require("./getLints.js");
const tsFacet_js_1 = require("../facet/tsFacet.js");
/**
 * Binds the TypeScript `lint()` method with TypeScript's
 * semantic and syntactic diagnostics. You can use
 * the `getLints` method for a lower-level interface
 * to the same data.
 */
function tsLinter() {
    return (0, lint_1.linter)(async (view) => {
        const config = view.state.facet(tsFacet_js_1.tsFacet);
        return config ? (0, getLints_js_1.getLints)(config) : [];
    });
}
exports.tsLinter = tsLinter;
//# sourceMappingURL=tsLinter.js.map