"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsLinterWorker = void 0;
const lint_1 = require("@codemirror/lint");
const index_js_1 = require("../index.js");
/**
 * Binds the TypeScript `lint()` method with TypeScript's
 * semantic and syntactic diagnostics. You can use
 * the `getLints` method for a lower-level interface
 * to the same data.
 */
function tsLinterWorker() {
    return (0, lint_1.linter)(async (view) => {
        const config = view.state.facet(index_js_1.tsFacetWorker);
        return config ? config.worker.getLints({ path: config.path }) : [];
    });
}
exports.tsLinterWorker = tsLinterWorker;
//# sourceMappingURL=tsLinterWorker.js.map